Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.mule.config.annotations.routing
Annotation Type WireTap

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    public @interface WireTap

An inbound router that can forward every message to another destination as defined in the "endpoint" property. This can be a logical destination of a URI.

A filter can be applied to this router so that only events matching a criteria will be tapped.

Required Element Summary
`String` | `endpoint` The name or URI address of the endpoint to use.

Optional Element Summary
`String` | `connectorName` The connector name that will be used to receive events.
`String` | `encoding` Decides the encoding to be used for events received by this endpoint.
`String` | `filter` An expression filter used to filter out unwanted messages.
`String` | `properties` A comma-separated list of key/value pairs, e.g., `"apple=green, banana=yellow"` Property placeholders can be used in these values: `"apple=${apple.color}, banana=yellow"`
`String` | `transformers` Transformers are responsible for transforming data when it is sent after the annotated service has finished processing.

Element Detail

### endpoint

    public abstract String endpoint

  The name or URI address of the endpoint to use. The URI would be literal, which is not recommended. Instead, you can use either the name of a global endpoint that is already available in the registry, or you can use a property placeholder and the real value will be injected at runtime. For example: `@WireTap(endpoint = "${my.endpoint}")` The endpoint would then be resolved to a property called 'my.endpoint' that is regeistered with the registry. Note that the endpoint for a wire tap is always asynchronous.

  Returns:
    A string representation of the endpoint URI, name, or property placeholder.

### connectorName

    public abstract String connectorName

  The connector name that will be used to receive events. It is important that the endpoint protocol and the connector correlate. For example, if your endpoint is a JMS queue, your connector must be a JMS connector. Many transports such as HTTP do not need a connector to be present, since Mule can create a default one as needed.

  Returns:
    the connector name associated with the endpoint
  Default:
    ""

### encoding

    public abstract String encoding

  Decides the encoding to be used for events received by this endpoint.

  Returns:
    the encoding set on the endpoint or null if no coding has been specified
  Default:
    ""

### properties

    public abstract String properties

  A comma-separated list of key/value pairs, e.g., `"apple=green, banana=yellow"` Property placeholders can be used in these values: `"apple=${apple.color}, banana=yellow"`

  Returns:
    A comma-separated list of key/value pairs or an empty string if no properties are set.
  Default:
    ""

### transformers

    public abstract String transformers

  Transformers are responsible for transforming data when it is sent after the annotated service has finished processing. Transformers should be listed as a comma-separated list of registered transformers. Property placeholders can be used to load transforms based on external values.

  Returns:
    the transformers to use when receiving data
  Default:
    ""

### filter

    public abstract String filter

  An expression filter used to filter out unwanted messages. Filters can be used for content-based routing. The filter syntax uses familiar Mule expression syntax: `filter = "#[wildcard:*.txt]"` or `filter = "#[xpath:count(Batch/Trade/GUID) > 0]"` Filter expressions must result in a boolean or null to mean false.

  Returns:
  Default:
    ""

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.